---
title: Get URL scan's DOM
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[URL Scanner](https://developers.cloudflare.com/api/python/resources/url_scanner)

[Scans](https://developers.cloudflare.com/api/python/resources/url_scanner/subresources/scans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get URL scan's DOM

url\_scanner.scans.dom(strscan\_id, ScanDOMParams\*\*kwargs) -> [ScanDOMResponse](<https://developers.cloudflare.com/api/python/resources/url_scanner#(resource)%20url_scanner.scans%20%3E%20(model)%20scan_dom_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/urlscanner/v2/dom/{scan\_id}

Returns a plain text response, with the scan’s DOM content as rendered by Chrome.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`URL Scanner Write``URL Scanner Read`

##### ParametersExpand Collapse

account\_id: str

Account ID.

[Link to this property](<#(resource)%20url_scanner.scans%20%3E%20(method)%20dom%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

scan\_id: str

Scan UUID.

formatuuid

[Link to this property](<#(resource)%20url_scanner.scans%20%3E%20(method)%20dom%20%3E%20(params)%20default%20%3E%20(param)%20scan_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

str

HTML of webpage.

[Link to this property](<#(resource)%20url_scanner.scans%20%3E%20(model)%20scan_dom_response%20%3E%20(schema)>)

### Get URL scan's DOM

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.url_scanner.scans.dom(
    scan_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(response)
```

##### Returns Examples